Listar assinaturas
Para consultar as assinaturas (vendas recorrentes) no sistema, faça uma requisição para o endpoint abaixo:
GET /api/v1/subscriber/Parâmetros de requisição
Seção intitulada “Parâmetros de requisição”| Name | Type | Description |
|---|---|---|
| page | Integer | Informa número da página em caso de paginação disponível. |
| next_charge | Date | Filtro pela data de próxima cobranca. |
| status | String | Status disponíveis para filtro das assinaturas: subscriber_canceled, subscriber_overdue e subscriber_active. |
| checkout_id | String | Informe o checkout para pesquisar assinaturas realizadas deste plano. |
| token | String | Informe o token da assinatura para pesquisar. |
| String | Informe o e-mail do assinante para pesquisar. |
Respostas
Seção intitulada “Respostas”{ "data": [ { "token": "8750f9c5-4e3a-4d59-be25-657cff0e9a34", "status": "subscriber_active", "link_to_pay": null, "customer": { "token": "68b75988-a3a9-4951-8325-eb81026f822a", "email": "carlos46@example.com", "telephone": "958896971" }, "subscription": { "from": "2022-06-01", "to": "2022-07-01", "next_charge": "2022-07-01" }, "checkout": { "slug": "plano-one", "title": "Checkout Software SaaS", "total": "99.00" }, "created_at": "2022-06-01 19:40:55" } ], "links": { "first": "https://sandbox.azpag.dev/api/v1/subscriber?page=1", "last": "https://sandbox.azpag.dev/api/v1/subscriber?page=2", "prev": null, "next": "https://sandbox.azpag.dev/api/v1/subscriber?page=2" }, "meta": { "current_page": 1, "from": 1, "last_page": 30, "links": [ { "url": null, "label": "Anterior", "active": false }, { "url": "https://sandbox.azpag.dev/api/v1/subscriber?page=1", "label": "1", "active": true }, { "url": "https://sandbox.azpag.dev/api/v1/subscriber?page=2", "label": "Próximo", "active": false } ], "path": "https://sandbox.azpag.dev/api/v1/subscriber", "per_page": 10, "to": 2, "total": 2 }}{ "hasError": true, "response": "Too many requests."}{ "hasError": true, "response": "Error on server, try again."}